dag_config_set_int64_attribute(3)

NAME
dag_config_set_int64_attribute. sets the value of a int64 attribute.

SYNOPSIS
#include "dag_config.h "

dag_err_t
dag_config_set_int64_attribute(dag_card_ref_t card, attr_uuid_t uuid,int64_t value);.

DESCRIPTION
dag_config_set_int64_attribute is passed the reference to the DAG card and the attribute idendifier,and the value to be set and returns kDagErrNone on success.

RETURN VALUE
returns kDagErrNone on success and kDagErrInvalidCardRef if the card reference is invalid.

EXAMPLES
see usage of dag_config_set_uint32_attribute - the usage is very similar.

SEE ALSO
dag_config_set_char_component(3),dag_config_set_int32_component(3),dag_config_set_uint32_component(3),dag_config_set_int32_component(3),dag_config_set_string_component(3),dag_config_set_uint64_component(3)

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: nuwan.gunasekara $
$Revision: 13754 $
$Date: 2011-01-17 11:20:30 +1300 (Mon, 17 Jan 2011) $

COPYRIGHT
(c) 2009 Endace Technology Ltd, Hamilton, New Zealand. All Rights Reserved.